com.h3c.sdn.adm.auditlog

## Interface AuditLogService

- All Known Subinterfaces:
    AuditLogServiceInternal

      public interface AuditLogService

  Basic service supporting audit log management.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `entryCount()` Returns the number of audit log entries maintained in persistence.
    `List<AuditLogEntry>` | `find(AuditLogFilter filter, SortSpecification<AuditLogSortAttribute> sortSpec)` Returns a list of all `AuditLogEntry` objects present in the system, based on the criteria exposed by the supplied filter, and sorted based on the supplied sort specification.
    `Page<AuditLogEntry>` | `find(AuditLogFilter filter, SortSpecification<AuditLogSortAttribute> sortSpec, PageRequest pageRequest)` Returns a page of `AuditLogEntry` objects present in the system, based on the page specification, based on the criteria exposed by the supplied filter, and sorted based on the supplied sort specification
    `void` | `importAuditLogEntry(AuditLogEntry entry)` Add an audit log entry to this system.
    `AuditLogEntry` | `post(String user, String origin, String activity, String description)` Creates a new `AuditLogEntry` based on the supplied parameters.

- - ### Method Detail

    - #### post

          AuditLogEntry post(String user,
                           String origin,
                           String activity,
                           String description)

      Creates a new `AuditLogEntry` based on the supplied parameters.
      Parameters:
        `user` - User associated with this AuditLog
        `origin` - the originating entity for this alert
        `activity` - The activity associated with this AuditLog
        `description` - a description of the AuditLog activity
      Returns:
        The created AuditLogEntry object

    - #### importAuditLogEntry

          void importAuditLogEntry(AuditLogEntry entry)

      Add an audit log entry to this system.
      Parameters:
        `entry` - the audit log entry to add

    - #### entryCount

          long entryCount()

      Returns the number of audit log entries maintained in persistence.
      Returns:
        the number of audit log entries

    - #### find

          List<AuditLogEntry> find(AuditLogFilter filter,
                                 SortSpecification<AuditLogSortAttribute> sortSpec)

      Returns a list of all `AuditLogEntry` objects present in the system, based on the criteria exposed by the supplied filter, and sorted based on the supplied sort specification.
      Parameters:
        `filter` - `AuditLogFilter` object expressing the desired filtering criteria to consider for restricting the resulting list of AuditLog objects
        `sortSpec` - `SortSpecification` defining how the data should be sorted for return. The SortSpecification must be typed with a `AuditLogSortAttribute` representation.
      Returns:
        the list of AuditLogEntry objects

    - #### find

          Page<AuditLogEntry> find(AuditLogFilter filter,
                                 SortSpecification<AuditLogSortAttribute> sortSpec,
                                 PageRequest pageRequest)

      Returns a page of `AuditLogEntry` objects present in the system, based on the page specification, based on the criteria exposed by the supplied filter, and sorted based on the supplied sort specification
      Parameters:
        `filter` - `AuditLogFilter` object expressing the desired filtering criteria to consider for restricting the resulting list of AuditLog objects
        `sortSpec` - `SortSpecification` defining how the auditLog data should be sorted for return.The SortSpecification must be typed with a `AuditLogSortAttribute` representation.
        `pageRequest` - `PageRequest` the definition of the desired page
      Returns:
        `Page` of AuditLogEntry data

Copyright © 2014. All Rights Reserved.